#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from typing import Self

class UsersManagerInterface:

    def start(self:Self) -> None:pass

    def update(self:Self) -> None:pass

    def empty(self:Self) -> None:pass

    def add(self:Self, inputs:dict[str, str]|list|tuple|str, overwrite:bool = False) -> None:pass

    def validate(self:Self, nick:str, password:str) -> bool:pass